Subject: Re: [PATCH] git-upload-archive: add config option to allow only specified formats

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Sep 2006 23:50:21 +0200

Rene Scharfe wrote:

>> Fine -- do we have any other "list-ish" configuration variable,
>> by the way?  I am just wondering if we earlier established a
>> convention to use some delimiter to list out things and if we do
>> have such a convention if delimiter is a comma or not.
> 
> I didn't find any.  The code would accept whitespace as a separator, too
> (in order to recognize lists like "one, two").  I found myself abusing
> this during my testing: I always left out the comma.  So I dropped the
> comma from the list of delimiters in this patch, going with shell-like
> lists now.

Alternative would be to use multiple valued variable (multiple values with
the same configuration variable).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git